"use strict";
const common_vendor = require("../../common/vendor.js");
const CUSTOMER_update_model = require("./model.js");
require("../../common/libraries/request.js");
require("../../common/store/useWatermarkStore.js");
require("../../common/store/useWeAppAuthStore.js");
require("../../common/store/useWorkStore.js");
require("../../gen/Apis.js");
require("../../common/libraries/apiLoading.js");
if (!Array) {
  const _easycom_hs_input2 = common_vendor.resolveComponent("hs-input");
  const _easycom_hs_cell2 = common_vendor.resolveComponent("hs-cell");
  const _easycom_hs_footer2 = common_vendor.resolveComponent("hs-footer");
  (_easycom_hs_input2 + _easycom_hs_cell2 + _easycom_hs_footer2)();
}
const _easycom_hs_input = () => "../../components/hs-input/hs-input.js";
const _easycom_hs_cell = () => "../../components/hs-cell/hs-cell.js";
const _easycom_hs_footer = () => "../../components/hs-footer/hs-footer.js";
if (!Math) {
  (_easycom_hs_input + _easycom_hs_cell + _easycom_hs_footer)();
}
const _sfc_main = /* @__PURE__ */ common_vendor.defineComponent({
  __name: "index",
  setup(__props) {
    common_vendor.onLoad((e) => {
      console.log(e);
      CUSTOMER_update_model.useModel.formData.value = e;
    });
    return (_ctx, _cache) => {
      return {
        a: common_vendor.o(($event) => common_vendor.unref(CUSTOMER_update_model.useModel).formData.value.name = $event),
        b: common_vendor.p({
          type: "text",
          textAlign: "right",
          valueModel: common_vendor.unref(CUSTOMER_update_model.useModel).formData.value.name
        }),
        c: common_vendor.p({
          title: "客户姓名",
          required: true,
          borderTop: true
        }),
        d: common_vendor.o(($event) => common_vendor.unref(CUSTOMER_update_model.useModel).formData.value.phone = $event),
        e: common_vendor.p({
          maxLength: "11",
          type: "number",
          textAlign: "right",
          disabled: true,
          valueModel: common_vendor.unref(CUSTOMER_update_model.useModel).formData.value.phone
        }),
        f: common_vendor.p({
          title: "手机号码",
          required: true,
          borderTop: true
        }),
        g: common_vendor.p({
          btnParimaryName: "保存"
        })
      };
    };
  }
});
const MiniProgramPage = /* @__PURE__ */ common_vendor._export_sfc(_sfc_main, [["__file", "/Users/zsq/Sources/github/2025property-pay/pay-employee/src/CUSTOMER/update/index.vue"]]);
wx.createPage(MiniProgramPage);
